/*
 * This is to reset everything so that preset values don't interfere. Not sure
 * if this is good practice.
 */
* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  vertical-align: baseline;
  background: transparent;
}
html {
  height: 100%;
}
body {
  text-align: justify;
  font-family: sans-serif;
  color: black;
  font-size: 11px;
  font-size: 2.7vw;
  height: 100%;
}
@media all and (min-width: 720px) {
  body {
    font-size: 12px;
    font-size: 1.2vw;
  }
}
@media all and (min-width: 1050px) {
  body {
    font-size: 16px;
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
  }
}
.flex-supercontainer {
  display: flex;
  flex-direction: row;
}
.header {
  text-align: center;
  padding: 1em;
  background: white;
}
.header h1 {
  font-size: 200%;
}
@media all and (min-width: 720px) {
  .header h1 {
    font-size: 300%;
  }
}
@media all and (min-width: 1050px) {
  .header h1 {
    font-size: 35px;
  }
}
.sidebar {
  display: none;
}
@media all and (min-width: 720px) {
  .sidebar {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    background-color: #f0f0f0;
    width: 27%;
  }
}
@media all and (min-width: 1050px) {
  .sidebar {
    width: 320px;
  }
}
.overview {
  flex: 1 0 auto;
  background-color: #f0f0f0;
  /*@media @medium {
        padding: 1vw;
    }*/
}
.overview p {
  line-height: 1.6;
  padding: 2em;
}
@media all and (min-width: 720px) {
  .overview p {
    padding: 3em;
  }
}
@media all and (min-width: 1050px) {
  .overview p {
    padding: 2em;
  }
}
.Links {
  position: fixed;
  bottom: 0;
  background-color: #f0f0f0;
  width: 27%;
}
@media all and (min-width: 1050px) {
  .Links {
    width: 320px;
  }
}
@media print {
  .Links {
    display: none;
  }
}
.Links ul {
  padding: 3em;
  list-style: none;
  display: flex;
  flex-direction: column;
  padding-bottom: 100px;
}
@media all and (min-width: 1050px) {
  .Links ul {
    padding: 2em;
    padding-bottom: 100px;
  }
}
@media all and (min-width: 1350px) {
  .Links ul {
    padding-bottom: 2em;
  }
}
.Links ul li {
  padding-top: 1em;
}
.personal-info {
  list-style: none;
  padding: 4vw;
}
@media all and (min-width: 720px) {
  .personal-info {
    padding: 2vw;
  }
}
@media all and (min-width: 1050px) {
  .personal-info {
    padding: 10px;
  }
}
.flex-container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
@media all and (min-width: 720px) {
  .flex-container {
    width: 73%;
  }
}
.content {
  flex: 1 0 auto;
}
a {
  text-decoration: none;
}
a:hover {
  color: #3399ff;
}
a:active {
  color: #0000cc;
}
@media all and (min-width: 720px) {
  .small {
    display: none;
  }
}
.links {
  padding: 0.5em;
}
@media print {
  .links {
    display: none;
  }
}
.links ul {
  list-style: none;
  display: flex;
  justify-content: space-around;
  margin: 1em;
}
.links ul li a {
  padding: 1em 2em;
}
.links ul li a:hover {
  background: #e5e5ff;
}
.links ul li a:active {
  background: blue;
  color: white;
}
section {
  margin: 1.5em;
}
@media all and (min-width: 720px) {
  section {
    margin: 2em;
  }
}
@media all and (min-width: 1050px) {
  section {
    margin: 2.5em;
  }
}
.university-info {
  display: flex;
  justify-content: space-between;
  font-variant: small-caps;
  margin: 0.5em;
}
.education h4 {
  padding: 0 0.5em;
}
.majors-info {
  display: flex;
  justify-content: space-between;
  padding: 0.5em;
}
.major-minor {
  font-style: italic;
}
.skills ul {
  padding: 0 0.5em;
  list-style: none;
}
.skills ul li {
  padding: 0.2em;
}
.skills h3 {
  padding: 0.5em;
}
.php-error {
  color: red;
}
footer {
  background-color: #f0f0f0;
  padding: 1.5em;
  padding-bottom: 80px;
}
@media all and (min-width: 720px) {
  footer {
    padding: 2em;
  }
}
@media all and (min-width: 1050px) {
  footer {
    padding: 2.5em;
  }
}
.inside-footer h3 {
  padding-bottom: 0.5em;
}
.form-data {
  display: flex;
  justify-content: space-between;
  padding-bottom: 0.1em;
  padding-top: 0.1em;
  /*.error {
        color: blue;  // Change this every time you recompile
    }*/
}
input[type="text"],
input[type="email"] {
  border: 1px solid black;
  width: 80%;
  background-color: white;
}
button {
  float: right;
  font-size: 2.8vw;
  border: 2px groove #7c93ba;
  padding: 0.5vw 1vw;
  margin: 1vw 0;
}
@media all and (min-width: 720px) {
  button {
    font-size: 1.2vw;
  }
}
@media all and (min-width: 1050px) {
  button {
    font-size: 16px;
    padding: 3px 5px;
    margin: 5px 0;
  }
}
textarea {
  border: 1px solid black;
  width: 100%;
  background-color: white;
}
@media all and (min-width: 720px) {
  textarea {
    margin-top: 0.5vw;
  }
}
@media all and (min-width: 1050px) {
  textarea {
    margin-top: 3px;
  }
}
.php-code {
  padding: 4vw;
}
@media all and (min-width: 720px) {
  .php-code {
    padding: 2vw;
  }
}
@media all and (min-width: 1050px) {
  .php-code {
    padding: 10px;
  }
}
.Form-Data {
  display: none;
}
#email-error {
  display: none !important;
}
